TextBox = {}

function TextBox:New(text, x, y, w, h)
	local obj = {}
	obj.text = text or ""
	
	obj.colors = {
		bg = { 0,0,0 },
		text = { 255, 255, 255 }
	}
	
	obj.x = x
	obj.y = y
	obj.w = w
	obj.h = h
	
	obj.cpos = 1
	
	function obj:draw()
		love.graphics.setFont(fonts.editor) 
		love.graphics.setColor( self.colors.bg )
		love.graphics.rectangle("fill", self.x, self.y, self.w, self.h )
		love.graphics.setColor( 255, 255, 255, 100 )
		love.graphics.rectangle("line", self.x, self.y, self.w, self.h )
		love.graphics.setColor( self.colors.text )
		local disptext = string.sub(self.text, 1, self.cpos-1) .. "_" .. string.sub(self.text, self.cpos)
		love.graphics.printf( disptext, self.x, self.y, self.w, "left" )
	end
	
	function obj:keypressed(key, unicode)
		self.text, self.cpos = textInput(self.text, self.cpos)
	end
	
	return obj
end