DSaveFile = {}

function DSaveFile:New()
	local obj = {}

	local width, height = love.graphics.getWidth(), love.graphics.getHeight()
	
	obj.w = 106
	obj.h = 62
	obj.x = width/2 - obj.w/2
	obj.y = height/2 - obj.h/2
	
	obj.header = "[ Save File ]"
	obj.text = "File Name:"
	
	obj.colors = {
		bg = { 156, 23, 24 },
		text = { 255, 255, 255 },
		border = { 0, 0, 0 }
	}
	
	statusBar.message = "Type File Name. (SEL=Cancel ST=Ok)"
	
	loadfilename = TextBox:New("", obj.x + 2, obj.y + 40, obj.w - 4, 20)
	
	function obj:draw()
		love.graphics.setFont(fonts.dialog)
		love.graphics.setColor( self.colors.bg )
		love.graphics.rectangle("fill", self.x, self.y, self.w, self.h )
		love.graphics.setColor( 255, 255, 255, 100 )
		love.graphics.rectangle("line", self.x, self.y, self.w, self.h )
		love.graphics.setColor( self.colors.text )
		love.graphics.printf( self.header, self.x, self.y, self.w, "center" )
		love.graphics.setFont(fonts.title)
		love.graphics.printf( self.text, self.x, self.y+24, self.w, "center" )
		
		loadfilename:draw()
	end
	
	function obj:keypressed(key, unicode)
		if key == Controls.Start then
			Filename = loadfilename.text
			SaveFile()
			CloseDialog()
		elseif key == Controls.Select then
			CloseDialog()
		else
			loadfilename:keypressed()
		end
	end
	return obj
end