require "settings"
require "assets"

require "input"

require "titlebar"
require "statusbar"
require "paper"

require "textbox"

require "dloadfile"
require "dmainmenu"
require "dsavefile"

function love.load()
	love.mouse.setVisible(false)
	love.filesystem.setIdentity("lovemaking")
	Filename = "untitled"
	titleBar = TitleBar:New()
	statusBar = StatusBar:New()
	document = Paper:New()
	--CurrentDialog = DMainMenu:New()
end

function love.draw()
	titleBar:draw()
	document:draw()
	statusBar:draw()
	if CurrentDialog then
		CurrentDialog:draw()
	end
end

function love.keypressed( key, unicode )
	if CurrentDialog then
		CurrentDialog:keypressed(key, unicode)
	else
		if key == Controls.Start then
			CurrentDialog = DMainMenu:New()
		else
			document:keypressed(key, unicode)
		end
	end
end

function LoadFile()
	document = Paper:New( Filename )
end

function SaveFile()
	if Filename ~= "" then
		success = love.filesystem.write( Filename, document.text )
	end
	--if not success then CurrentDialog = DError:New( "Save Failed" )
end

function CloseDialog()
	CurrentDialog = nil
	statusBar.message = "(ST=Menu)"
end

function ChangeDialog(newDialog)
	CurrentDialog = newDialog
end