Paper = {}

function Paper:New(file)
	local obj = {}
	local width, height = love.graphics.getWidth(), love.graphics.getHeight()
	
	
	obj.colors = {
		bg = { 0, 0, 0 },
		text = { 255, 255, 255 }
	}
	
	obj.x = 0
	obj.y = 16
	obj.w = width
	obj.h = height-16
	obj.cpos = 1
	
	obj.start = 0
	if file and file ~= "" and love.filesystem.exists(file) then
		obj.text = love.filesystem.read( file )
	else
		obj.text = ""
	end
	
	function obj:draw()
		love.graphics.setColor( self.colors.bg )
		love.graphics.rectangle( "fill", self.x, self.y, self.w, self.h )
		love.graphics.setColor( self.colors.text )
		love.graphics.setFont( fonts.editor )
		
		self.disptext = string.sub(self.text, 1, self.cpos-1) .. "_" .. string.sub(self.text, self.cpos)
		--print(self.text)
		--[[
		if self.cpos ~= string.len(self.text)+1 then
			self.disptext = string.sub(self.text, 1, self.cpos) .. "|" .. string.sub(self.text, self.cpos)
		else
			self.disptext = self.text .. "_"
		end
		self.disptext = self.text .. "_"
		]]
		love.graphics.printf( self.disptext, self.x, self.y-self.start, self.w, "left" )
	end
	
	function obj:keypressed(key, unicode)
		self.text, self.cpos = textInput(self.text, self.cpos)
		statusBar.curpos = self.cpos .. "/" .. #self.text
	end
	
	return obj
end