TitleBar = {}
function TitleBar:New()
	local obj = {}
	local width, height = love.graphics.getWidth(), love.graphics.getHeight()
	
	obj.x = 0
	obj.y = 0
	obj.w = width
	obj.h = 16
	
	obj.colors = {
		bg = { 36, 150, 7 },
		text = { 255, 255, 255 },
		border = { 0, 0, 0 }
	}
	
	function obj:draw()
		love.graphics.setFont(fonts.title) 
		love.graphics.setColor( self.colors.bg )
		love.graphics.rectangle("fill", self.x, self.y, self.w, self.h )
		love.graphics.setColor( 255, 255, 255, 100 )
		love.graphics.rectangle("line", self.x, self.y, self.w, self.h )
		love.graphics.setColor( self.colors.text )
		love.graphics.printf( Filename.." -- Love Maker", 0, 0, width, "left" )
	end
	return obj
end